"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const action_handlers_util_1 = require("./action.handlers.util");
var ReducerUtil;
(function (ReducerUtil) {
    ReducerUtil.DefaultReducer = state => state;
    ReducerUtil.mapReducer = (selector, reducer) => ((_selector, _reducer) => (state, action) => _reducer(state, action, _selector))(selector, reducer);
    ReducerUtil.createReducer = (initialState, xActionHandlers, withSelector) => (state = initialState, action) => (action_handlers_util_1.ActionHandlersUtil.reduceXActionHandlers(xActionHandlers, withSelector)[action.type] || ReducerUtil.DefaultReducer)(state, action);
})(ReducerUtil = exports.ReducerUtil || (exports.ReducerUtil = {}));
//# sourceMappingURL=reducer.util.js.map